--[[----------------------------------------------------------------------------

WFCatSearchHandler.lua

--------------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2015 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remains the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and are protected by all applicable
intellectual property laws, including trade secret and copyright laws.
Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Systems Incorporated.

----------------------------------------------------------------------------]]--

--[[!
	\brief WFCatSearchProviderList maintains a list of search providers.
]]--

--============================================================================--

local WFCatSearchProviderList = {}
WFCatSearchProviderList.registerdProviders = {}

--------------------------------------------------------------------------------
function WFCatSearchProviderList.getProviderList( providerType )
	if WFCatSearchProviderList.registerdProviders[ providerType ] == nil then
		WFCatSearchProviderList.registerdProviders[ providerType ] = {}
	end
	
	return WFCatSearchProviderList.registerdProviders[ providerType ]
end

--------------------------------------------------------------------------------
local function addProvider( providerType, provider )
	local providerList = WFCatSearchProviderList.getProviderList( providerType )
	table.insert( providerList, provider )
end

--------------------------------------------------------------------------------
function WFCatSearchProviderList.registerSearchProvider( provider, providerTypeList )
	for i, providerType in ipairs( providerTypeList ) do
		addProvider( providerType, provider )
	end
	
end

--==============================================================================

return WFCatSearchProviderList
